## python-cloudscraper 1.2.71~git20230426.cbb3c0ea

=== Makefile ===
pep8-rules := E501,N806,W503,W504

init:
	pip install -r requirements.txt

test:
	# This runs all of the tests, on both Python 2 and Python 3.
	tox --parallel auto

watch:
	# This automatically selects and re-executes only tests affected by recent changes.
	ptw -- --testmon

retry:
	# This will retry failed tests on every file change.
	py.test -n auto --forked --looponfail

ci:
	py.test -n 8 --forked --junitxml=report.xml

lint:
	flake8 --ignore $(pep8-rules) cloudscraper tests

format:
	# Automatic reformatting
	autopep8 -aaa --ignore $(pep8-rules) --in-place --recursive cloudscraper tests

coverage:
	py.test --cov-config=.coveragerc --verbose --cov-report=term --cov-report=xml --cov=cloudscraper tests
	coveralls

clean:
	rm -fr build dist .egg cloudscraper.egg-info report.xml coverage.xml

build:
	make clean
	python3 setup.py sdist bdist_wheel --universal

publish:
	make build
	pip3 install 'twine>=1.5.0'
	twine upload dist/*
	make clean

publish_test:
	make build
	pip3 install 'twine>=1.5.0'
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	make clean

=== requirements.txt ===
# Production
requests >= 2.9.2
requests_toolbelt >= 0.9.1
pyparsing >= 2.4.7

=== debian/changelog ===
python-cloudscraper (1.2.71~git20230426.cbb3c0ea-1) unstable; urgency=medium

  * New upstream release

 -- Carles Pina i Estany <carles@pina.cat>  Sun, 10 Dec 2023 00:23:18 +0000

python-cloudscraper (1.2.69-2) unstable; urgency=medium

  * Team Upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 20 Nov 2023 10:24:55 -0300

python-cloudscraper (1.2.69-1) unstable; urgency=medium

  * Initial release. (Closes: #1053134)

 -- Carles Pina i Estany <carles@pina.cat>  Sun, 12 Nov 2023 01:15:17 +0000

=== debian/control ===
Source: python-cloudscraper
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Carles Pina i Estany <carles@pina.cat>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-requests-toolbelt,
               python3-responses,
               python3-setuptools
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloudscraper.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloudscraper
Homepage: https://github.com/VeNoMouS/cloudscraper

Package: python3-cloudscraper
Architecture: all
Depends: python3-requests,
         python3-requests-toolbelt,
         python3-responses,
         ${misc:Depends},
         ${python3:Depends}
Suggests: nodejs
Description: Request pages with Cloudflare's anti-bot page
 This can be useful if you wish to scrape or crawl a website protected with
 Cloudflare. Cloudflare's anti-bot page currently just checks if the client
 supports JavaScript, though they may add additional techniques in the future.
 .
 The cloudscraper API is the same as requests.sessions.Session.
 .
 python-cloudscraper try to solve the challenge using a Python native solver.
 Other possible solvers: using nodejs to solve the JavaScript challenge or
 using external APIs. The documentation specify which ones are available
 (/usr/share/doc/python3-cloudscraper/README.md.gz).
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-cloudscraper

# Skipping specific tests that are known to fail due to issues in the upstream source.
# Their failure is not indicative of issues in the Debian packaging.
# Issues have been reported to the upstream maintainers via email.
export PYBUILD_TEST_ARGS=-k "not (test_bad_interpreter_js_challenge1_16_05_2020 or test_bad_solve_js_challenge1_16_05_2020 or test_Captcha_challenge_12_12_2019 or test_reCaptcha_providers)"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/VeNoMouS/cloudscraper/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
